Package Details: bitrock-unpacker 1.1-1

Git Clone URL: https://aur.archlinux.org/bitrock-unpacker.git (read-only, click to copy)
Package Base: bitrock-unpacker
Description: this is a tcl script for unpacking bitrock packed archives
Upstream URL: https://github.com/greyltc/bitrock-unpacker/
Licenses: MIT
Submitter: greyltc
Maintainer: greyltc
Last Packager: greyltc
Votes: 1
Popularity: 0.25
First Submitted: 2017-06-28 13:55
Last Updated: 2020-09-27 20:54

Latest Comments

jose1711 commented on 2020-09-19 19:52

not only it is unnecessary but it also prevents 64-bit installers to work:

couldn't load file "/tmp/tcl_WDI3mu": /tmp/tcl_WDI3mu: wrong ELF class: ELFCLASS64
    while executing
"load /installer/libraries/lzma-decoder-linux-x64/liblzmadec0.2.so"
    ("package ifneeded Tcllzmadec 0.2" script)
    invoked from within
"package require Tcllzmadec"
    (file "/usr/bin/bitrock-unpacker" line 26)

can you please fix it?

grufo commented on 2020-09-13 16:32

The lib32-tclkit package is not necessary. These three lines in PKGBUILD

depends=(sdx)
depends_i688=(tclkit)
depends_x86_64=(lib32-tclkit)

should be reduced to

depends=('sdx' 'tclkit')

cameel commented on 2018-06-24 19:27

This package seems to be missing a dependency on vfs::cookfs. When I try to run it I get:

can't find package vfs::cookfs
    while executing
"package require vfs::cookfs"
    (file "/usr/bin/bitrock-unpacker" line 25)

Installing tcl-cookfs from AUR does not fix this. Maybe because it gets installed into the default TCL's package directory and the 32-bit installation of TCL can't find it?